require("dotenv").config();
const express = require("express");
const connectDB= require("./config/db");
const userRoutes= require("./routes/userRoutes");
const authRoutes = require("./routes/authRoutes");
const logger = require('./middleware/logger')
const app= express();
const PORT = process.env.PORT || 5000;
//DB connection:Done
connectDB();

//use in built-middleware to parse the data form body
//parse the json data
app.use(express.json());
//parse the url-encoded data
app.use(express.urlencoded({ extended: false }));
app.use(logger);
//Routes
app.use("/api/users",userRoutes);

app.use("/api/user", authRoutes);
app.listen(PORT,()=>{
    console.log(`Server is running on port ${PORT}`);
})
